<!DOCTYPE html>
<html>
<head>
<title> Task 17.30 Pizza 365</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- font -->
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<!-- Bootstrap -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body onload = "onPageLoading()">

<!-- Menu -->
<div class="container-fluid bg-light">
  <div class="row">
    <div class="col-sm-12">
      <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav nav-fill w-100">
            <li class="nav-item active">
              <a class="nav-link" href="#">Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#plans">Plans</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#about">About</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#contact">Contact</a>
            </li>
          </ul>
        </div>
      </nav>
    </div>
  </div>
</div>

<!-- Content -->
<div class="container" style="padding: 120px 0 50px 0;">
  <div class="row">
    <div class="col-sm-12">
      <div class="row">
        <!-- Title row home -->
        <div class="col-sm-12">
          <h1><b>Pizza 365</b></h1> 
          <h1 class = "font-style: italic;"><b>New Pizza - New Way!</b></h1>
        </div>

        <!-- Slide row home -->
        <div class="col-sm-12">
          <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
              <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="5"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="6"></li>
            </ol>
            <div class="carousel-inner">
              <div class="carousel-item active">
                <img class="d-block w-100" src="images/anh_mon_1.jpg" alt="First slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_02.jpg" alt="Second slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_3.jpg" alt="Third slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_4.jpg" alt="Forth slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_5.jpg" alt="Fifth slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_6.jpg" alt="Sixth slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_7.jpg" alt="Seventh slide">
              </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
              <span class="carousel-control-prev-icon" aria-hidden="true"></span>
              <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
              <span class="carousel-control-next-icon" aria-hidden="true"></span>
              <span class="sr-only">Next</span>
            </a>
          </div>
        </div>

        <!-- Title what we offer -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
        </div>

        <!-- Content what we offer -->
        <div class="col-sm-12">
          <div class="row">
            <div class="col-sm-3 p-4 bg-warning border">
              <h3 class="p-2">Hương vị tự nhiên</h3>
              <p class="p-2">100% pizza của chúng tôi được làm từ nguyên liệu cao cấp và tươi ngon nhất, trải qua khâu kiểm tra chất lượng khắt khe trước khi đưa vào chế biến.</p>
            </div>
            <div class="col-sm-3 p-4 bg-light border">
              <h3 class="p-2">Lựa chọn phong phú</h3>
              <p class="p-2">Chúng tôi có 3 loại combo với 3 loại bánh được yêu thích nhất để quý khách hàng lựa chọn tùy theo khẩu vị và số lượng người với mức giá đặc biệt.</p>
            </div>
            <div class="col-sm-3 p-4 bg-warning border">
              <h3 class="p-2">Không gian thời thượng</h3>
              <p class="p-2">Đến với Pizza365, quý khách sẽ luôn có cảm giác thoải mái trong không gian sang trọng theo kiểu Châu Âu và cách bài trí tiêu chuẩn áp dụng cho tất cả các cửa hàng trong chuỗi.</p>
            </div>
            <div class="col-sm-3 p-4 bg-light border">
              <h3 class="p-2">Dịch vụ tốt nhất</h3>
              <p class="p-2">Tất cả nhân viên của chúng tôi đều được đào tạo theo tiêu chuẩn để đem đến trải nghiệm thống nhất cho khách hàng, với mức độ hài lòng cao nhất.</p>
            </div>
          </div>
        </div>
      </div>

      <div id="plans" class="row">
        <!-- Title what we offer -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-1 border-bottom">Menu Combo Pizza 365</b></h2>
          <p><span class="p-2">Hãy chọn cỡ pizza phù hợp với bạn!</span></p>
        </div>
        <!-- Content what we offer -->
        <div class="col-sm-12">
          <div class="row">
            <div class="col-sm-4">
              <div class="card">
                <div class="card-header bg-dark text-white text-center">
                  <h3>S (small)</h3>
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item"><b>Đường kính</b> 20 cm</li>
                    <li class="list-group-item"><b>Sườn nướng</b> 2</li>
                    <li class="list-group-item"><b>Salad</b> 200 g</li>
                    <li class="list-group-item"><b>Nước ngọt</b> 2</li>
                    <li class="list-group-item"><h1><b>VND</b></h1> 150.000</li>
                  </ul>
                </div>
                <div class="card-footer text-center">
                  <button class="btn btn-success" data-is-selected-menu="N" id="btn-select-small" onclick="onBtnSelectS()">Chọn</button>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card">
                <div class="card-header bg-dark text-white text-center">
                  <h3>M (medium)</h3>
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item"><b>Đường kính </b> 25cm</li>
                    <li class="list-group-item"><b>Sườn nướng </b> 4</li>
                    <li class="list-group-item"><b>Salad </b> 300 g</li>
                    <li class="list-group-item"><b>Nước ngọt </b> 3</li>
                    <li class="list-group-item"><h1><b>VND </b></h1> 200.000</li>
                  </ul>
                </div>
                <div class="card-footer text-center">
                  <button class="btn btn-success" data-is-selected-menu="N" id="btn-select-medium" onclick="onBtnSelectM()">Chọn</button>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card">
                <div class="card-header bg-dark text-white text-center">
                  <h3>L (large)</h3>
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item"><b>Đường kính</b> 30 cm</li>
                    <li class="list-group-item"><b>Sườn nướng</b> 8</li>
                    <li class="list-group-item"><b>Salad</b> 500 g</li>
                    <li class="list-group-item"><b>Nước ngọt</b> 4</li>
                    <li class="list-group-item"><h1><b>VND</b></h1> 250.000</li>
                  </ul>
                </div>
                <div class="card-footer text-center">
                  <button class="btn btn-success" data-is-selected-menu="N" id="btn-select-large" onclick="onBtnSelectL()">Chọn</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div id="about" class="row">
        <!-- Title Who We Are -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
        </div>

        <!-- Content Who We Are -->
        <div class="col-sm-12">
          <div class="row">
            <div class="col-sm-4">
              <div class="card w-100" style="width: 18rem;">
                <img src="images/pizza_type_ga.jpg" class="card-img-top">
                <div class="card-body">
                  <h3>Gà</h3>
                  <p>Chicken pizza</p>
                  <p>Đây là chiếc bánh pizza mang sự kết hợp hòa quyện giữa vị ngọt và mặn của phong cách nhiệt đới. Sự tương phản giữa vị chua, ngọt của dứa và mặn ngọt của gà sốt teriyaki khiến nhiều thực khách bất ngờ.</p>
                  <p><button class="btn btn-success w-100" data-is-selected-pizza="N" id="btn-select-ga" onclick="onBtnSelectGa()">Chọn</button></p>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card w-100" style="width: 18rem;">
                <img src="images/pizza_type_hai_san.jpg" class="card-img-top">
                <div class="card-body">
                  <h3>Hải sản</h3>
                  <p>Seafood pizza</p>
                  <p>Pizza với nhiều loại hải sản kết hợp như tôm, mực, ngao cùng với các loại rau nhiệt đới như bông cải xanh sẽ mang đến cho tất cả các vị thực khách cảm giác mát lành như đang đi dạo trên một bờ biển nhiệt đới.</p>
                  <p><button class="btn btn-success w-100" data-is-selected-pizza="N" id="btn-select-hai-san" onclick="onBtnSelectHaiSan()">Chọn</button></p>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card w-100" style="width: 18rem;">
                <img src="images/pizza_type_thit_nuong.jpg" class="card-img-top">
                <div class="card-body">
                  <h3>Thịt nướng</h3>
                  <p>Bacon pizza</p>
                  <p>Đây là chiếc bánh pizza với thành phần chủ yếu là các loại thịt nướng, thịt hun khói và 4 loại phomai tuyệt vời nhất của cửa hàng, là món yêu thích của các khách hàng nhí và các tín đồ thịt nướng.</p>
                  <p><button class="btn btn-success w-100" data-is-selected-pizza="N" id="btn-select-thit-nuong" onclick="onBtnSelectThitNuong()">Chọn</button></p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!--Y/c 1: Thêm lựa chọn đồ uống-->
      <div class="col-sm-12 text-center p-4 mt-4">
        <label>Hãy chọn đồ uống bạn yêu thích</label>
        <select id="select-drink" class="form-control">
          <option value="0">... Chọn đồ uống...</option>
        </select>
      </div>
      <div id="contact" class="row">
        <!-- Title Contact Us -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-2 border-bottom text-info">Thông tin đơn hàng</b></h2>
        </div>

        <!-- Content Contact Us -->
        <div class="col-sm-12 p-2 jumbotron">
          <div class="row">
            <div class="col-sm-12">
              <div class="form-group">
                <label for="fullname">Họ và tên</label>
                <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
              </div>
              <div class="form-group">
                <label for="email">Email</label>
                <input type="text" class="form-control" id="inp-email" placeholder="Email">
              </div>
              <div class="form-group">
                <label for="dien-thoai">Điện thoại</label>
                <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
              </div>
              <div class="form-group">
                <label for="dia-chi">Địa chỉ</label>
                <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
              </div>
              <div class="form-group">
                <label for="message">Lời nhắn</label>
                <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
              </div>
              <div class="form-group">
                <label for="message">Mã giảm giá (voucher ID)</label>
                <input type="text" class="form-control" id="inp-code" placeholder="Mã giảm giá">
              </div>
              <button type="button" class="btn btn-success w-100" onclick="onBtnKiemTraDonHangClick()">Kiểm tra đơn</button>
            </div>
          </div>
        </div>
        <!-- vùng hiển thị thông tin đơn hàng(order) -->
        <div id="div-container-order" class="container bg-info p-2 jumbotron" style="display: none;">
          <div id="div-order-infor" class="text-white p-3">...</div>
          <div class="p-2">
            <button type="button" class="btn btn-warning w-100" onclick="onBtnConfirmClick()">Gửi đơn</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- Footer -->
<div class="container-fluid bg-light p-5">
  <div class="row text-center">
    <div class="col-sm-12">
      <h4 class="m-2">Footer</h4>
      <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
      <div class="m-2">
        <i class="fa fa-facebook-official w3-hover-opacity"></i>
        <i class="fa fa-instagram w3-hover-opacity"></i>
        <i class="fa fa-snapchat w3-hover-opacity"></i>
        <i class="fa fa-pinterest-p w3-hover-opacity"></i>
        <i class="fa fa-twitter w3-hover-opacity"></i>
        <i class="fa fa-linkedin w3-hover-opacity"></i>
      </div>
    </div>
  </div>
</div>
</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */ 
  const gREQUEST_STATUS_OK = 200; // GET & PUT success
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  // danh sách các mã giảm giá
  var gDiscountVouchers = [
    { voucherID:"A1", percentDiscount: 20 },   // mã giảm giá là A1, phần trăm giảm giá 20%
    { voucherID:"A2", percentDiscount: 10 },
    { voucherID:"A3", percentDiscount: 5 },
    { voucherID:"A4", percentDiscount: 30 },
    { voucherID:"A5", percentDiscount: 20 },
    { voucherID:"B1", percentDiscount: 25 },
    { voucherID:"B2", percentDiscount: 15 },
    { voucherID:"B3", percentDiscount: 5 },
    { voucherID:"B4", percentDiscount: 30 },
    { voucherID:"B5", percentDiscount: 40 }
  ];
  // các combo Pizza
  const gCOMBO_SMALL = "Small";
  const gCOMBO_MEDIUM = "Medium";
  const gCOMBO_LARGE = "Large";

  //các loại pizz
  const gGA = "Gà";
  const gHAI_SAN = "Hải sản";
  const gTHIT_NUONG = "Thịt nướng";

  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  function onPageLoading(){
    getDrinkList();
  }
  //xử lý sự kiện bấm nút chọn combo
  function onBtnSelectS(){
    changeComboButtonColor(gCOMBO_SMALL);
    var vSelectedCombo = getCombo("small","20cm",2,"200g",2,150000);
    vSelectedCombo.displayInConsoleLog();
  }
  function onBtnSelectM(){
    changeComboButtonColor(gCOMBO_MEDIUM);
    var vSelectedCombo = getCombo("medium","25cm",4,"300g",3,200000);
    vSelectedCombo.displayInConsoleLog();
  }
  function onBtnSelectL(){
    changeComboButtonColor(gCOMBO_LARGE);
    var vSelectedCombo = getCombo("large","30cm",8,"500g",4,250000);
    vSelectedCombo.displayInConsoleLog();
  }
  
  //xử lý nút chọn pizza
  function onBtnSelectGa(){
    changePizzaButtonColor(gGA);
    console.log("Loại pizza đã chọn: " + gGA);
  }
  function onBtnSelectHaiSan(){
    changePizzaButtonColor(gHAI_SAN);
    console.log("Loại pizza đã chọn: " + gHAI_SAN);
  }
  function onBtnSelectThitNuong(){
    changePizzaButtonColor(gTHIT_NUONG);
    console.log("Loại pizza đã chọn: " + gTHIT_NUONG);
  }

  //khai báo biến lưu thông tin đặt hàng
  var vThongTinDatHangObj = {
    combo: null,
    pizza: null,
    hoVaTen:"",
    email: "",
    phone: "",
    address: "",
    message: "",
    code: "",
    giamGia: 0,
    priceActualVND : function(){
      return this.combo.VND * (1 - this.giamGia/100);
    },
    displayInConsoleLog(){
      console.log("%cĐƠN HÀNG - đơn hàng đã xác nhận..........", "color:blue");
      console.log(this.combo);  //this = "đối tượng này"
      console.log("Loại pizza: " + this.pizza);
      console.log("Họ và tên: " + this.hoVaTen);
      console.log("Emails: " + this.email); 
      console.log("Điện thoại: " + this.phone);
      console.log("Địa chỉ:" + this.address);
      console.log("Lời nhắn: " + this.message);
      console.log("Mã giảm giá: " + this.code);
      console.log("Phần trăm giảm giá: " + this.giamGia + "%");
      console.log("Giá phải thanh toán:" + "VND" + this.priceActualVND());
    }
  };
  //Xử lý sự kiện bấm nút Kiểm tra đơn hàng
  function onBtnKiemTraDonHangClick(){
    readData(vThongTinDatHangObj);
    var vCheck = validateData(vThongTinDatHangObj);
    if (vCheck){
    displayData(vThongTinDatHangObj);}
    return vThongTinDatHangObj; //trả lại đối tượng chứa thông tin đặt hàng
  }
  //xử lý sự kiện bấm nút xác nhận đơn hàng
  //ghi toàn bộ thông tin đơn hàng ra console
  function onBtnConfirmClick(){
    console.log("THÔNG TIN ĐẶT HÀNG ĐÃ ĐƯỢC XÁC NHẬN:------------ ");
    console.log(vThongTinDatHangObj.combo);  
    console.log("Loại pizza: " + vThongTinDatHangObj.pizza);
    console.log("Họ và tên: " + vThongTinDatHangObj.hoVaTen);
    console.log("Emails: " + vThongTinDatHangObj.email); 
    console.log("Điện thoại: " + vThongTinDatHangObj.phone);
    console.log("Địa chỉ:" + vThongTinDatHangObj.address);
    console.log("Lời nhắn: " + vThongTinDatHangObj.message);
    console.log("Mã giảm giá: " + vThongTinDatHangObj.code);
    console.log("Giá VND: " + vThongTinDatHangObj.combo.VND);
    console.log("Phần trăm giảm giá: " + vThongTinDatHangObj.giamGia + "%");
    console.log("Giá phải thanh toán:" + "VND" + vThongTinDatHangObj.priceActualVND());

  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  //Get drinklist khi tải trang
  function getDrinkList(){
    "use strict";
    var vBASE_URL ="http://203.171.20.210:8080/devcamp-pizza365/drinks";
    var vXhttp = new XMLHttpRequest();
    vXhttp.open("GET", vBASE_URL, true);
    vXhttp.send();
    vXhttp.onreadystatechange = function() {
        if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
          var vDrinkListObj = JSON.parse(vXhttp.responseText);
          //truy xuất phần tử Select
          var vDrinkSelect = document.getElementById("select-drink");
          //thêm option vào select element
          var vIndex = 0;
          while (vIndex < vDrinkListObj.length){
            var vOptionDrink = document.createElement("option");
            vOptionDrink.text = vDrinkListObj[vIndex].tenNuocUong;
            vDrinkSelect.add(vOptionDrink);
            vIndex++;
          }
        }
    };
  }
  
  //function trả lại một đối tượng combo (menu) được tham số 
  function getCombo(paramCombo, paramDuongKinh, paramSuonNuong, paramSalad, paramNuocNgot, paramVND){
    var vSelectedCombo = {  //Đối tượng: combo được chọn
      comboName: paramCombo,//combo = menu small/medium/large
      duongKinh: paramDuongKinh,   
      suongNuong: paramSuonNuong,
      salad: paramSalad,
      nuocNgot: paramNuocNgot,
      VND: paramVND,
      // method display combo infor - phương thức hiện menu combo được chọn 
      displayInConsoleLog() {
        console.log("%cCombo SELECTED - combo được chọn..........", "color:blue");
        console.log(this.comboName);  //this = "đối tượng này"
        console.log("Đường kính: " + this.duongKinh);
        console.log("Sườn nướng: " + this.suongNuong); 
        console.log("Salad: " + this.salad);
        console.log("Nước ngọt:" + this.nuocNgot);
        console.log("VND: " + this.VND);
      }
    }
    return vSelectedCombo;  //trả lại đối tượng, có đủ dữ liệu (attribute) và các methods (phương thức)
  }

  // đổi combo phù hợp
  //1. đổi màu button (sign-up) để phân biện gói được chọn
  //2. đổi thuộc tính data-is-selected phù hợp cho từng nút
  function changeComboButtonColor(paramCombo) {
    var vBtnSmall = document.getElementById("btn-select-small");  // truy vấn nút combo small (sign - up)
    var vBtnMedium = document.getElementById("btn-select-medium"); //truy vấn nút gói basic (sign - up)
    var vBtnLarge = document.getElementById("btn-select-large"); //truy vấn nút gói premium (sign - up)
    
    if (paramCombo === gCOMBO_SMALL) {  //nếu chọn small thì thay màu nút small bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
        // code đổi màu 3 nút, khi gói pro được chọn, 
        // đổi giá trị data-is-selected
      vBtnSmall.className = "btn btn-warning";
      vBtnSmall.setAttribute("data-is-selected-menu","Y");
      
      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu","N");

      vBtnLarge.className = "btn btn-success";
      vBtnLarge.setAttribute("data-is-selected-menu","N");
    }
    else if (paramCombo === gCOMBO_MEDIUM) {  //nếu chọn Medium thì thay màu nút Basic bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      vBtnSmall.className = "btn btn-success";
      vBtnSmall.setAttribute("data-is-selected-menu","N");
      
      vBtnMedium.className = "btn btn-warning";
      vBtnMedium.setAttribute("data-is-selected-menu","Y");

      vBtnLarge.className = "btn btn-success";
      vBtnLarge.setAttribute("data-is-selected-menu","N");
    } 
    else if (paramCombo === gCOMBO_LARGE) { //nếu chọn Large thì thay màu nút Premium bàng màu cam, hai nút kia xanh
      // code đổi màu 3 nút, khi gói large được chọn, 
      // đổi giá trị data-is-selected
      vBtnSmall.className = "btn btn-success";
      vBtnSmall.setAttribute("data-is-selected-menu","N");
      
      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu","N");

      vBtnLarge.className = "btn btn-warning";
      vBtnLarge.setAttribute("data-is-selected-menu","Y");
    }
  }
  // đổi pizza phù hợp
  //1. đổi màu button (sign-up) để phân biện loại pizza được chọn
  //2. đổi thuộc tính data-is-selected phù hợp cho từng nút
  function changePizzaButtonColor(paramPizza) {
    var vBtnGa = document.getElementById("btn-select-ga");  // truy vấn nút combo small (sign - up)
    var vBtnHaiSan = document.getElementById("btn-select-hai-san"); //truy vấn nút gói basic (sign - up)
    var vBtnThitNuong = document.getElementById("btn-select-thit-nuong"); //truy vấn nút gói premium (sign - up)
    
    if (paramPizza === gGA) {  //nếu chọn Gà thì thay màu nút Gà bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // code đổi màu 3 nút, khi gói Gà được chọn, 
      // đổi giá trị data-is-selected
      vBtnGa.className = "btn btn-warning w-100";
      vBtnGa.setAttribute("data-is-selected-pizza","Y");
      
      vBtnHaiSan.className = "btn btn-success w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza","N");

      vBtnThitNuong.className = "btn btn-success w-100";
      vBtnThitNuong.setAttribute("data-is-selected-pizza","N");
    }
    else if (paramPizza === gHAI_SAN) {  //nếu chọn Hải sản thì thay màu nút Hải sản bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      vBtnGa.className = "btn btn-success w-100";
      vBtnGa.setAttribute("data-is-selected-pizza","N");
      
      vBtnHaiSan.className = "btn btn-warning w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza","Y");

      vBtnThitNuong.className = "btn btn-success w-100";
      vBtnThitNuong.setAttribute("data-is-selected-pizza","N");
    } 
    else if (paramPizza === gTHIT_NUONG) { //nếu chọn Thịt nướng thì thay màu nút Thịt nướng bàng màu cam, hai nút kia xanh
      // code đổi màu 3 nút, khi gói Thịt nướng được chọn, 
      // đổi giá trị data-is-selected
      vBtnGa.className = "btn btn-success w-100";
      vBtnGa.setAttribute("data-is-selected-pizza","N");
      
      vBtnHaiSan.className = "btn btn-success w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza","N");

      vBtnThitNuong.className = "btn btn-warning w-100";
      vBtnThitNuong.setAttribute("data-is-selected-pizza","Y");
    }
  }

  //hàm đọc thông tin đặt hàng và gán vào 1 object
  function readData(paramThongTinDatHangObj){
    var vSelectS = document.getElementById("btn-select-small");
    var vSelectM = document.getElementById("btn-select-medium");
    var vSelectL = document.getElementById("btn-select-large");
    var vSelectHawai = document.getElementById("btn-select-ga");
    var vSelectSeafood = document.getElementById("btn-select-hai-san");
    var vSelectBacon = document.getElementById("btn-select-thit-nuong");
    var vNameInput = document.getElementById("inp-fullname");
    var vEmailInput = document.getElementById("inp-email");
    var vPhoneInput = document.getElementById("inp-dien-thoai");
    var vAddressInput = document.getElementById("inp-dia-chi");
    var vMessageInput = document.getElementById("inp-message");
    var vCodeInput = document.getElementById("inp-code");
    paramThongTinDatHangObj.hoVaTen = vNameInput.value;
    paramThongTinDatHangObj.email = vEmailInput.value;
    paramThongTinDatHangObj.phone = vPhoneInput.value;
    paramThongTinDatHangObj.address = vAddressInput.value;
    paramThongTinDatHangObj.message = vMessageInput.value;
    paramThongTinDatHangObj.code = vCodeInput.value;
    if (vSelectS.getAttribute("data-is-selected-menu") == "Y"){
      var vSelectedCombo = getCombo("small","20cm",2,"200g",2,150000);    
    }
    if (vSelectM.getAttribute("data-is-selected-menu") == "Y"){
      var vSelectedCombo = getCombo("medium","25cm",4,"300g",3,200000);
    }
    if (vSelectL.getAttribute("data-is-selected-menu") == "Y"){
      var vSelectedCombo = getCombo("large","30cm",8,"500g",4,250000);
    }
    if (vSelectHawai.getAttribute("data-is-selected-pizza") == "Y"){
      var vSelectedPizza = gGA;
    }
    if (vSelectSeafood.getAttribute("data-is-selected-pizza") == "Y"){
      var vSelectedPizza = gHAI_SAN;
    }
    if (vSelectBacon.getAttribute("data-is-selected-pizza") == "Y"){
      var vSelectedPizza = gTHIT_NUONG;
    }
  paramThongTinDatHangObj.combo = vSelectedCombo;
  paramThongTinDatHangObj.pizza = vSelectedPizza;
  var vVoucherId = document.getElementById("inp-code").value.trim();
  if (vVoucherId !== ""){
    var vVoucherObj = checkVoucher(paramThongTinDatHangObj.code); //gọi hàm tính kiểm tra voucher theo code nhập vào và đưa % giảm giá vào 1 thuộc tính của đơn hàng
    if (vVoucherObj){
      paramThongTinDatHangObj.giamGia = vVoucherObj.phanTramGiamGia;}
      else paramThongTinDatHangObj.giamGia = 0;
    }
    else paramThongTinDatHangObj.giamGia = 0;
  }

  //khai báo hàm kiểm tra code giảm giá //hàm này không dùng nữa
  function getDiscountByCode(paramCode){
    var vCoGiamGia = false;
    var vIndex = 0;
    var vDiscount = 0;
    while (vCoGiamGia == false && vIndex < gDiscountVouchers.length){
      if (paramCode == gDiscountVouchers[vIndex].voucherID){
        vCoGiamGia = true;
        vDiscount = gDiscountVouchers[vIndex].percentDiscount;
      } 
      else vIndex++;
      }
      return vDiscount;
  }
  //check mã giảm giá
  function checkVoucher(paramCode){
      "use strict";
      const vBASE_URL =  "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/";
      //đọc voucherID từ input
      var vVoucherId = document.getElementById("inp-code").value.trim();
      // nếu mã giảm giá đã nhập, tạo vXmlHttp request và gửi về server
      var vXmlHttp = new XMLHttpRequest();
      vXmlHttp.open( "GET",  vBASE_URL + vVoucherId, false);
      vXmlHttp.send();
      if(vXmlHttp.status == gREQUEST_STATUS_OK) { // restFullAPI successful
          // nhận lại response dạng JSON ở vXmlHttp.responseText và chuyển thành object
          console.log(vXmlHttp.responseText);
          var vVoucherObj = JSON.parse(vXmlHttp.responseText); //chuyển thông tin thành voucher object
      } 
      else {
          // không nhận lại được data do vấn đề gì đó: khả năng mã voucher ko dúng
          console.log("Không tìm thấy voucher " + vXmlHttp.responseText);

      }
      return vVoucherObj;
    
  }
  //khai báo hàm kiểm tra thông tin đơn hàng
  function validateData(paramThongTinDatHangObj){
    if (paramThongTinDatHangObj.combo == null){
      alert ("Chưa chọn combo!");
      return false;
    }
    if (paramThongTinDatHangObj.pizza == null){
      alert ("Chưa chọn loại pizza!");
      return false;
    }
    if (paramThongTinDatHangObj.hoVaTen == "" ||
    paramThongTinDatHangObj.email == "" ||
    paramThongTinDatHangObj.phone == "" ||
    paramThongTinDatHangObj.address == ""){
      alert ("Cần điền đầy đủ tên, email, số điện thoại và địa chỉ");
      return false;
    }
    var vEmailCheck = emailValidation(paramThongTinDatHangObj.email);
    if (vEmailCheck == false){
      alert("Email phải chứa ký tự @ và nằm giữa ít nhất 2 ký tự khác");
      return false;
    }
    return true;
  }
  //khai báo hàm kiểm tra email
  function emailValidation(paramEmail){
    if (paramEmail.includes("@",1) == false){
      return false;
    }
    else if (paramEmail.split("@")[1] == ""){
      return false;
    } 
    else return true;
  }

  //khai báo hàm hiển thị thông tin khi kiểm tra order
  function displayData(paramThongTinDatHangObj){
    var vDivContainerOrder = document.getElementById("div-container-order");
    var vDivOrderInfo = document.getElementById("div-order-infor");
    vDivContainerOrder.style.display = "block";
    vDivOrderInfo.innerHTML = "Họ và tên: " + paramThongTinDatHangObj.hoVaTen + "<br>";
    vDivOrderInfo.innerHTML += "Email: " + paramThongTinDatHangObj.email + "<br>";
    vDivOrderInfo.innerHTML += "Điện thoại: " + paramThongTinDatHangObj.phone + "<br>";
    vDivOrderInfo.innerHTML += "Địa chỉ: " + paramThongTinDatHangObj.address + "<br>";
    vDivOrderInfo.innerHTML += "Lời nhắn: " + paramThongTinDatHangObj.message + "<br>";
    vDivOrderInfo.innerHTML += "--------------------------------" + "<br>";
    vDivOrderInfo.innerHTML += "Kích cỡ: " + paramThongTinDatHangObj.combo.comboName + "<br>";
    vDivOrderInfo.innerHTML += "Đường kính: " + paramThongTinDatHangObj.combo.duongKinh + "<br>"; 
    vDivOrderInfo.innerHTML += "Sường nướng: " + paramThongTinDatHangObj.combo.suongNuong + "<br>"; 
    vDivOrderInfo.innerHTML += "Salad: " + paramThongTinDatHangObj.combo.salad + "<br>";
    vDivOrderInfo.innerHTML += "Nước ngọt: " + paramThongTinDatHangObj.combo.nuocNgot + "<br>";
    vDivOrderInfo.innerHTML += "Loại nước uống: " + document.getElementById("select-drink").value + "<br>";
    vDivOrderInfo.innerHTML += "--------------------------------" + "<br>";
    vDivOrderInfo.innerHTML += "Loại pizza: " + paramThongTinDatHangObj.pizza + "<br>";
    vDivOrderInfo.innerHTML += "Mã voucher: " + paramThongTinDatHangObj.code + "<br>";
    vDivOrderInfo.innerHTML += "Giá VND: " + paramThongTinDatHangObj.combo.VND + "<br>";
    vDivOrderInfo.innerHTML += "Discount %: " + paramThongTinDatHangObj.giamGia + "%" + "<br>";
    vDivOrderInfo.innerHTML += "Phải thanh toán VND: " + paramThongTinDatHangObj.combo.VND*(1-paramThongTinDatHangObj.giamGia/100) + "<br>";
    }
</script>
</html>
